summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2011-11-11 01:37:44 +0000
committerJory Pratt <anarchy@gentoo.org>2011-11-11 01:37:44 +0000
commit4d06697ce917b68a974ba76391215d679302c586 (patch)
tree45cb1372a1b4c47584bb1f53264834db6cb8f2df /eclass
parentVersion bump, Security bug #389923 (diff)
downloadgentoo-2-4d06697ce917b68a974ba76391215d679302c586.tar.gz
gentoo-2-4d06697ce917b68a974ba76391215d679302c586.tar.bz2
gentoo-2-4d06697ce917b68a974ba76391215d679302c586.zip
Allow webm support to be enabled in thunderbird
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mozconfig-3.eclass34
1 files changed, 16 insertions, 18 deletions
diff --git a/eclass/mozconfig-3.eclass b/eclass/mozconfig-3.eclass
index 7bda3e06eef4..ee8a3a51a9dc 100644
--- a/eclass/mozconfig-3.eclass
+++ b/eclass/mozconfig-3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-3.eclass,v 1.23 2011/08/20 21:51:25 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-3.eclass,v 1.24 2011/11/11 01:37:44 anarchy Exp $
#
# mozconfig.eclass: the new mozilla.eclass
@@ -61,26 +61,24 @@ mozconfig_config() {
mozconfig_annotate 'mozjs' --enable-shared-js
fi
- if [[ ${PN} != thunderbird ]]; then
- if has +webm ${IUSE} && use webm; then
- if ! use alsa; then
- echo "Enabling alsa support due to webm request"
- mozconfig_annotate '+webm -alsa' --enable-ogg
- mozconfig_annotate '+webm -alsa' --enable-wave
- mozconfig_annotate '+webm' --enable-webm
- mozconfig_annotate '+webm' --with-system-libvpx="${EPREFIX}"/usr
- else
- mozconfig_use_enable webm
- mozconfig_annotate '+webm' --with-system-libvpx="${EPREFIX}"/usr
- fi
+ if has +webm ${IUSE} && use webm; then
+ if ! use alsa; then
+ echo "Enabling alsa support due to webm request"
+ mozconfig_annotate '+webm -alsa' --enable-ogg
+ mozconfig_annotate '+webm -alsa' --enable-wave
+ mozconfig_annotate '+webm' --enable-webm
+ mozconfig_annotate '+webm' --with-system-libvpx="${EPREFIX}"/usr
else
- mozconfig_annotate '' --disable-webm
- mozconfig_annotate '' --disable-system-libvpx
+ mozconfig_use_enable webm
+ mozconfig_annotate '+webm' --with-system-libvpx="${EPREFIX}"/usr
fi
+ else
+ mozconfig_annotate '' --disable-webm
+ mozconfig_annotate '' --disable-system-libvpx
+ fi
- if use amd64 || use x86 || use arm || use sparc; then
- mozconfig_annotate '' --enable-tracejit
- fi
+ if use amd64 || use x86 || use arm || use sparc; then
+ mozconfig_annotate '' --enable-tracejit
fi
# These are enabled by default in all mozilla applications